Status List retrieval
Retrieve all Status lists
Deprecated
/v2/credentials/mobile/status-listsRetrieves all existing status lists from your tenant.
Roles
Analytics Events
Authorization
bearerAuth In: header
Response Body
application/json
curl -X GET "https://example.com/v2/credentials/mobile/status-lists"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6", "statusListConfigurationId": "0bd642d3-4a3b-4ce2-9f8f-151a73becaae", "listSize": 100000, "list": "0oRZAu6jEHRtYXR0ci1zdGF0dXNs..." } ]}Retrieve a Status list
Deprecated
/v2/credentials/mobile/status-lists/{statusListId}Retrieves an existing Status list and its signed token by providing its ID.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
Status list unique identifier
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/credentials/mobile/status-lists/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6", "statusListConfigurationId": "0bd642d3-4a3b-4ce2-9f8f-151a73becaae", "listSize": 100000, "list": "0oRZAu6jEHRtYXR0ci1zdGF0dXNs..."}Retrieve a Status list token
/v2/credentials/mobile/status-lists/{statusListId}/tokenRetrieves the Status list token in CWT format. This public endpoint returns a token which contains a compressed, signed list of credential statuses. Relying parties can use this token to check the revocation status of an mDoc that references this Status list.
This endpoint is intended for public consumption, and as such does not require authentication.
Token Format Differences:
The token structure depends on the Status List configuration format:
Draft 14 of the IETF Token Status List specification:
- Token header
typ:application/statuslist+cwt - CBOR payload claims:
65533(status_list),65534(ttl) - Status encoding: 1-bit (Valid/Invalid)
Legacy format:
- Token header
typ:mattr-statuslist+cwt - CBOR payload claims:
-65538(status_list),-65539(ttl) - Status encoding: 2-bit (Valid/Invalid/Suspended)
Analytics Events
Path Parameters
Status list identifier
uuidResponse Body
application/cwt
application/json
application/json
curl -X GET "https://example.com/v2/credentials/mobile/status-lists/497f6eca-6276-4993-bfeb-53cbbbba6f08/token""string"Status list distribution
/v2/credentials/mobile/status-lists/distributionRetrieves an object that details all existing Status lists tokens on the tenant. This public endpoint allows a relying party to consume and cache status lists. Each list in the response includes a URL where its token can be retrieved. Status list tokens that were signed by expired IACAs are excluded from the response.
This endpoint is intended for public consumption, and as such does not require authentication.
Response Format Differences:
The response structure depends on the Status List configuration format:
Draft 14 of the IETF Token Status List specification: {"status_lists": ["https://..."]}
Legacy format: {"status_lists": [{"uri": "https://..."}]}
Analytics Events
Response Body
application/json
curl -X GET "https://example.com/v2/credentials/mobile/status-lists/distribution"{ "status_lists": [ "https://learn.vii.au01.mattr.global/v2/credentials/mobile/status-lists/{statusListId}/token" ]}How would you rate this page?
Last updated on